PEPID
PEPID Support & Customer Service Help
Why can't I find PEPID in the Android Market?

The PEPID application is only compatible with Android devices running a firmware version of 1.6 or greater. If your device is running a lower (than 1.6) firmware version, the PEPID application will not be listed / available in the Android Market.


You can verify the firmware version on your device by going to:

  • Settings
  • In Settings, select About Phone
  • In About Phone, locate Firmware Version


Your wireless carrier should automatically push out updates for your Android device. Please contact them or the device manufacturer for more information on when an update will be available.


If your device does not have access to the Android Market, please visit www.pepid.com/ota to download directly from our Website.


If you have any questions / concerns / comments, please contact PEPID Support.


Installation Instructions

Visit the PEPID Support FAQ Page
Sign up for a Live Webinar Product Training Resources
Email PEPID Support Live Chat